Listar pagamentos
curl --request GET \
--url https://production.api.noodle.cx/external/split/{split_id}/payments \
--header 'Authorization: <api-key>'import requests
url = "https://production.api.noodle.cx/external/split/{split_id}/payments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://production.api.noodle.cx/external/split/{split_id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"splitId": "<string>",
"splitBatch": "<string>",
"splitDate": "<string>",
"reportId": "<string>",
"anticipationId": "<string>",
"ownerTaxId": "<string>",
"origin": "<string>",
"taxId": "<string>",
"name": "<string>",
"artistName": "<string>",
"email": "<string>",
"amount": 123,
"originalAmount": 123,
"finalAmount": 123,
"originalFinalAmount": 123,
"irPercent": 123,
"irAmount": 123,
"currency": "<string>",
"originalCurrency": "<string>",
"exchangeRate": 123,
"finalExchangeRate": 123,
"showExchangeData": true,
"status": "<string>",
"paidManually": true,
"paymentDate": "<string>",
"attemptDate": "<string>",
"transactionId": "<string>",
"errorReason": "<string>",
"bubblePaymentId": "<string>",
"advance": false,
"parentId": "<string>",
"parentName": "<string>",
"originalTaxId": "<string>",
"originalName": "<string>",
"bankAccount": {
"name": "<string>",
"bankCode": "<string>",
"pspId": "<string>",
"agency": "<string>",
"account": "<string>",
"accountType": "<string>",
"pixKeyType": "<string>",
"pixDescription": "<string>",
"pixKey": "<string>",
"transferType": "pix"
},
"products": [
{
"_id": "<string>",
"ownerTaxId": "<string>",
"reportId": "<string>",
"paymentId": "<string>",
"upc": "<string>",
"name": "<string>",
"tracks": [
{
"isrc": "<string>",
"name": "<string>",
"plays": 123,
"period": "<string>",
"revenue": 123,
"percentage": 123,
"finalAmount": 123
}
]
}
],
"platforms": [
{
"_id": "<string>",
"ownerTaxId": "<string>",
"reportId": "<string>",
"paymentId": "<string>",
"period": "<string>",
"name": "<string>",
"plays": 123,
"revenue": 123,
"finalAmount": 123
}
],
"details": [
{
"_id": "<string>",
"paymentId": "<string>",
"upc": "<string>",
"productName": "<string>",
"isrc": "<string>",
"trackName": "<string>",
"royalty": 123,
"period": "<string>",
"data": [
{
"period": "<string>",
"platform": "<string>",
"plays": 123,
"revenue": 123
}
]
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Lotes
Listar pagamentos
Use este endpoint para listar todos os pagamentos associados a um lote específico.
GET
/
split
/
{split_id}
/
payments
Listar pagamentos
Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes